using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class BusLineInsert : DataAccessBase
	{
		public BusLineInsert()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.TripleDES;
			base.Key = "123";
			base.IV = "abc";
			ConnectionString = ConfigurationManager.AppSettings["kygl2"];
			base.InitCommand("[dbo].[BusLineInsert]");
			ConfigParameter();
		}

		private SqlParameter paramId;
		public System.Int32 Id
		{
			get
			{
				return (System.Int32)paramId.Value;
			}
			set
			{
				paramId.Value = value;
			}
		}

		private SqlParameter paramLineName;
		public System.String LineName
		{
			get
			{
				return (System.String)paramLineName.Value;
			}
			set
			{
				paramLineName.Value = value;
			}
		}

		private SqlParameter paramWaySites;
		public System.String WaySites
		{
			get
			{
				return (System.String)paramWaySites.Value;
			}
			set
			{
				paramWaySites.Value = value;
			}
		}

		private SqlParameter paramStartSite;
		public System.String StartSite
		{
			get
			{
				return (System.String)paramStartSite.Value;
			}
			set
			{
				paramStartSite.Value = value;
			}
		}

		private SqlParameter paramEndSite;
		public System.String EndSite
		{
			get
			{
				return (System.String)paramEndSite.Value;
			}
			set
			{
				paramEndSite.Value = value;
			}
		}

		private SqlParameter paramSummerTime;
		public System.String SummerTime
		{
			get
			{
				return (System.String)paramSummerTime.Value;
			}
			set
			{
				paramSummerTime.Value = value;
			}
		}

		private SqlParameter paramWinterTime;
		public System.String WinterTime
		{
			get
			{
				return (System.String)paramWinterTime.Value;
			}
			set
			{
				paramWinterTime.Value = value;
			}
		}

		private SqlParameter paramMainSites;
		public System.String MainSites
		{
			get
			{
				return (System.String)paramMainSites.Value;
			}
			set
			{
				paramMainSites.Value = value;
			}
		}

		private SqlParameter paramTimeInterval;
		public System.String TimeInterval
		{
			get
			{
				return (System.String)paramTimeInterval.Value;
			}
			set
			{
				paramTimeInterval.Value = value;
			}
		}

		private SqlParameter paramMileage;
		public System.String Mileage
		{
			get
			{
				return (System.String)paramMileage.Value;
			}
			set
			{
				paramMileage.Value = value;
			}
		}

		private SqlParameter paramCreateUser;
		public System.String CreateUser
		{
			get
			{
				return (System.String)paramCreateUser.Value;
			}
			set
			{
				paramCreateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateUser;
		public System.String UpdateUser
		{
			get
			{
				return (System.String)paramUpdateUser.Value;
			}
			set
			{
				paramUpdateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateDateTime;
		public System.DateTime UpdateDateTime
		{
			get
			{
				return (System.DateTime)paramUpdateDateTime.Value;
			}
			set
			{
				paramUpdateDateTime.Value = value;
			}
		}

		private SqlParameter paramFlag;
		public System.Int16 Flag
		{
			get
			{
				return (System.Int16)paramFlag.Value;
			}
			set
			{
				paramFlag.Value = value;
			}
		}

		private SqlParameter paramFlagDateTime;
		public System.DateTime FlagDateTime
		{
			get
			{
				return (System.DateTime)paramFlagDateTime.Value;
			}
			set
			{
				paramFlagDateTime.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramId = new SqlParameter();
			paramId.ParameterName = "@Id";
			paramId.SqlDbType = SqlDbType.Int;
			paramId.Precision = 10;
			paramId.Scale = 0;
			paramId.Direction = ParameterDirection.InputOutput;
			paramId.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramId);
			//--------------------------------------------------------
			paramLineName = new SqlParameter();
			paramLineName.ParameterName = "@LineName";
			paramLineName.SqlDbType = SqlDbType.VarChar;
			paramLineName.Size = 50;
			paramLineName.Direction = ParameterDirection.Input;
			paramLineName.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramLineName);
			//--------------------------------------------------------
			paramWaySites = new SqlParameter();
			paramWaySites.ParameterName = "@WaySites";
			paramWaySites.SqlDbType = SqlDbType.Text;
			paramWaySites.Size = 2147483647;
			paramWaySites.Direction = ParameterDirection.Input;
			paramWaySites.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramWaySites);
			//--------------------------------------------------------
			paramStartSite = new SqlParameter();
			paramStartSite.ParameterName = "@StartSite";
			paramStartSite.SqlDbType = SqlDbType.VarChar;
			paramStartSite.Size = 50;
			paramStartSite.Direction = ParameterDirection.Input;
			paramStartSite.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramStartSite);
			//--------------------------------------------------------
			paramEndSite = new SqlParameter();
			paramEndSite.ParameterName = "@EndSite";
			paramEndSite.SqlDbType = SqlDbType.VarChar;
			paramEndSite.Size = 50;
			paramEndSite.Direction = ParameterDirection.Input;
			paramEndSite.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramEndSite);
			//--------------------------------------------------------
			paramSummerTime = new SqlParameter();
			paramSummerTime.ParameterName = "@SummerTime";
			paramSummerTime.SqlDbType = SqlDbType.VarChar;
			paramSummerTime.Size = 50;
			paramSummerTime.Direction = ParameterDirection.Input;
			paramSummerTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramSummerTime);
			//--------------------------------------------------------
			paramWinterTime = new SqlParameter();
			paramWinterTime.ParameterName = "@WinterTime";
			paramWinterTime.SqlDbType = SqlDbType.VarChar;
			paramWinterTime.Size = 50;
			paramWinterTime.Direction = ParameterDirection.Input;
			paramWinterTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramWinterTime);
			//--------------------------------------------------------
			paramMainSites = new SqlParameter();
			paramMainSites.ParameterName = "@MainSites";
			paramMainSites.SqlDbType = SqlDbType.VarChar;
			paramMainSites.Size = 53;
			paramMainSites.Direction = ParameterDirection.Input;
			paramMainSites.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramMainSites);
			//--------------------------------------------------------
			paramTimeInterval = new SqlParameter();
			paramTimeInterval.ParameterName = "@TimeInterval";
			paramTimeInterval.SqlDbType = SqlDbType.VarChar;
			paramTimeInterval.Size = 50;
			paramTimeInterval.Direction = ParameterDirection.Input;
			paramTimeInterval.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramTimeInterval);
			//--------------------------------------------------------
			paramMileage = new SqlParameter();
			paramMileage.ParameterName = "@Mileage";
			paramMileage.SqlDbType = SqlDbType.VarChar;
			paramMileage.Size = 50;
			paramMileage.Direction = ParameterDirection.Input;
			paramMileage.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramMileage);
			//--------------------------------------------------------
			paramCreateUser = new SqlParameter();
			paramCreateUser.ParameterName = "@CreateUser";
			paramCreateUser.SqlDbType = SqlDbType.VarChar;
			paramCreateUser.Size = 50;
			paramCreateUser.Direction = ParameterDirection.Input;
			paramCreateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateUser);
			//--------------------------------------------------------
			paramUpdateUser = new SqlParameter();
			paramUpdateUser.ParameterName = "@UpdateUser";
			paramUpdateUser.SqlDbType = SqlDbType.VarChar;
			paramUpdateUser.Size = 50;
			paramUpdateUser.Direction = ParameterDirection.Input;
			paramUpdateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateUser);
			//--------------------------------------------------------
			paramUpdateDateTime = new SqlParameter();
			paramUpdateDateTime.ParameterName = "@UpdateDateTime";
			paramUpdateDateTime.SqlDbType = SqlDbType.DateTime;
			paramUpdateDateTime.Size = 16;
			paramUpdateDateTime.Scale = 3;
			paramUpdateDateTime.Direction = ParameterDirection.Input;
			paramUpdateDateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateDateTime);
			//--------------------------------------------------------
			paramFlag = new SqlParameter();
			paramFlag.ParameterName = "@Flag";
			paramFlag.SqlDbType = SqlDbType.SmallInt;
			paramFlag.Precision = 5;
			paramFlag.Scale = 0;
			paramFlag.Direction = ParameterDirection.Input;
			paramFlag.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramFlag);
			//--------------------------------------------------------
			paramFlagDateTime = new SqlParameter();
			paramFlagDateTime.ParameterName = "@FlagDateTime";
			paramFlagDateTime.SqlDbType = SqlDbType.DateTime;
			paramFlagDateTime.Size = 16;
			paramFlagDateTime.Scale = 3;
			paramFlagDateTime.Direction = ParameterDirection.Input;
			paramFlagDateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramFlagDateTime);
		}
	}
}